Loading...
Searching...
No Matches
psa_crypto_driver_pake_inputs_s Struct Reference

`#include <crypto_extra.h>`

Collaboration diagram for psa_crypto_driver_pake_inputs_s:
[legend]

## Data Fields

uint8_t * | private_password
size_t | private_password_len
uint8_t * | private_user
size_t | private_user_len
uint8_t * | private_peer
size_t | private_peer_len
psa_key_attributes_t | private_attributes
struct psa_pake_cipher_suite_s | private_cipher_suite

## Detailed Description

Definition at line 1092 of file crypto_extra.h.

## Field Documentation

## private_attributes

psa_key_attributes_t psa_crypto_driver_pake_inputs_s::private_attributes

Definition at line 1099 of file crypto_extra.h.

## private_cipher_suite

struct psa_pake_cipher_suite_s psa_crypto_driver_pake_inputs_s::private_cipher_suite

Definition at line 1100 of file crypto_extra.h.

## private_password

uint8_t* psa_crypto_driver_pake_inputs_s::private_password

Definition at line 1093 of file crypto_extra.h.

## private_password_len

size_t psa_crypto_driver_pake_inputs_s::private_password_len

Definition at line 1094 of file crypto_extra.h.

## private_peer

uint8_t* psa_crypto_driver_pake_inputs_s::private_peer

Definition at line 1097 of file crypto_extra.h.

## private_peer_len

size_t psa_crypto_driver_pake_inputs_s::private_peer_len

Definition at line 1098 of file crypto_extra.h.

## private_user

uint8_t* psa_crypto_driver_pake_inputs_s::private_user

Definition at line 1095 of file crypto_extra.h.

## private_user_len

size_t psa_crypto_driver_pake_inputs_s::private_user_len

Definition at line 1096 of file crypto_extra.h.

The documentation for this struct was generated from the following file:

- crypto_extra.h